<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Scan Report</title>
    <style>
        body { font-family: Arial, sans-serif; margin: 20px; }
        h1 { color: #333; }
        table { width: 100%; border-collapse: collapse; }
        th, td { padding: 10px; border: 1px solid #ccc; text-align: left; }
        th { background-color: #f4f4f4; }
    </style>
</head>
<body>
    <h1>Scan Report</h1>
    <table>
        <thead>
            <tr>
                <th>Rule</th>
                <th>File</th>
                <th>Start Line</th>
                <th>Message</th>
            </tr>
        </thead>
        <tbody>
            {% for result in data %}
            <tr>
                <td>{{ result['check_id'] }}</td>
                <td>{{ result['path'] }}</td>
                <td>{{ result['start_line'] }}</td>
                <td>{{ result['extra']['message'] }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</body>
</html>
